View Issue Details

IDProjectCategoryView StatusLast Update
0001024Main CAcert Websitemiscpublic2013-01-15 18:12
ReporterNEOatNHNG Assigned ToNEOatNHNG  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Fixed in Version2012 Q3 
Summary0001024: Assurer flag is not set correctly on updatesort.php run
DescriptionUpdatesort is the script that updates the Assurer per country stats. It does not take the Assurers Challenge into account when calculating the assurer status.
TagsNo tags attached.
Reviewed byNEOatNHNG
Test Instructions

Relationships

related to 0001003 closedNEOatNHNG Provide a possibility to regularly review the permissions in the system 
related to 0000904 new (Is) Assurer listing questionable 

Activities

NEOatNHNG

2012-03-28 21:56

administrator   ~0002915

Last edited: 2012-03-28 22:03

View 2 revisions

OK, implementation is ready and available on the test server. Please review and test.

Hint for testers: This change affects the fix_assurer_flag() function so please
- make sure criteria for becoming assurer is matched properly (100 points + CATS)
- change the flag manually with an SE and check 8 hours later if it was successfully fixed (also with an SE or a different user as it will be recalculated on login of the user in any case)

Ted

2012-03-31 08:28

administrator   ~0002917

Reset the Assurer Flag on 123@convey.de and set the Assurer Flag on switch2@convey.de.

Waiting if/when they will be corrected

Uli60

2012-03-31 12:43

updater   ~0002918

Last edited: 2012-04-01 10:54

View 2 revisions

user accounts prepared 2012-03-31
bug1024.user#@

switching is-Assurer flag
-------------------------
1 80 AP, CATS shows IsAssurer 0 -> set flag with SE
2 100 AP, no CATS shows IsAssurer 0 -> set flag with SE
3 80 AP, no CATS shows IsAssurer 0 -> set flag with SE
4 100 AP, CATS shows IsAssurer 1 -> reset flag with SE
5 100 AP, 2 EP, CATS shows IsAssurer 1 -> reset flag with SE

blind tests
-----------
6 80 AP, CATS
7 100 AP, no CATS
8 80 AP, no CATS
9 100 AP, CATS
0 100 AP, 2 EP, CATS


rechecked 2012-04-01

switched is-Assurer flag
-------------------------
                   
1 80 AP, CATS -> 1 shows IsAssurer 0 => OK
2 100 AP, no CATS -> 1 shows IsAssurer 0 => OK
3 80 AP, no CATS -> 1 shows IsAssurer 0 => OK
4 100 AP, CATS -> 0 shows IsAssurer 1 => OK
5 100 AP, 2 EP, CATS -> 0 shows IsAssurer 1 -> OK

blind tests
-----------
6 80 AP, CATS was 0 shows IsAssurer 0 => OK
7 100 AP, no CATS was 0 shows IsAssurer 0 => OK
8 80 AP, no CATS was 0 shows IsAssurer 0 => OK
9 100 AP, CATS was 1 shows IsAssurer 1 => OK
0 100 AP, 2 EP, CATS was 1 shows IsAssurer 1 => OK

all ok as expected.

JensK

2012-04-07 12:23

reporter   ~0002926

Below 100 AP, no CATS, isAssurer == 1 => isAssurer reset to 0 => OK
Below 100 AP, CATS, isAssurer == 1 => isAssurer reset to 0 => OK
100 AP, no CATS, isAssurer == 1 => isAssurer reset to 0 => OK
100 AP, CATS, isAssurer == 0 => isAssurer reset to 1 => OK

Uli60

2012-04-12 14:57

updater   ~0002927

Hi Software-Assessors,

tests finished successful
2nd review and transfer to critical system
is needed

INOPIAE

2012-04-13 06:41

updater   ~0002928

Step 1 accounts created and set to starting setting on 2012-04-10
Step 2 review on 2012-04-13
Below 100 AP, no CATS, isAssurer == 1 => isAssurer reset to 0 => OK
Below 100 AP, CATS, isAssurer == 1 => isAssurer reset to 0 => OK
100 AP, no CATS, isAssurer == 1 => isAssurer reset to 0 => OK
100 AP, CATS, isAssurer == 0 => isAssurer reset to 1 => OK
102 Ap, CATS, isAssurer ==0 => isAssurer reset to 1 => OK

Uli60

2012-04-24 23:59

updater   ~0002964

tested by 4, ok
needs 2nd review, good to go

Uli60

2012-08-07 23:08

updater   ~0003125

2nd review done by dirk within meeting
https://wiki.cacert.org/Software/Assessment/20120807-S-A-MiniTOP
good to go

Uli60

2012-08-07 23:09

updater   ~0003126

2nd review done by dirk within meeting
https://wiki.cacert.org/Software/Assessment/20120807-S-A-MiniTOP
good to go

NEOatNHNG

2012-08-09 16:52

administrator   ~0003131

Mail sent to critical admins

wytze

2012-08-10 11:14

developer   ~0003134

The fix has been installed on the production server on August 10, 2012. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2012-08/msg00002.html

Issue History

Date Modified Username Field Change
2012-03-20 23:21 NEOatNHNG New Issue
2012-03-20 23:56 NEOatNHNG Relationship added related to 0001003
2012-03-27 21:50 Ted Source_changeset_attached => cacert-devel testserver bbdf9a02
2012-03-27 22:01 NEOatNHNG Assigned To => NEOatNHNG
2012-03-28 20:24 NEOatNHNG Status new => needs work
2012-03-28 21:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver eb06be43
2012-03-28 21:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver 7a3e7c10
2012-03-28 21:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver 02d30752
2012-03-28 21:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver d4bd1092
2012-03-28 21:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver 41f8cea5
2012-03-28 21:56 NEOatNHNG Note Added: 0002915
2012-03-28 21:56 NEOatNHNG Assigned To NEOatNHNG => Ted
2012-03-28 21:56 NEOatNHNG Status needs work => needs review & testing
2012-03-28 21:56 NEOatNHNG Reviewed by => NEOatNHNG
2012-03-28 22:03 NEOatNHNG Note Edited: 0002915 View Revisions
2012-03-31 08:28 Ted Note Added: 0002917
2012-03-31 12:43 Uli60 Note Added: 0002918
2012-04-01 10:54 Uli60 Note Edited: 0002918 View Revisions
2012-04-07 12:23 JensK Note Added: 0002926
2012-04-12 14:57 Uli60 Note Added: 0002927
2012-04-12 14:57 Uli60 Assigned To Ted =>
2012-04-12 14:57 Uli60 Status needs review & testing => needs review
2012-04-13 06:41 INOPIAE Note Added: 0002928
2012-04-24 23:58 Uli60 Assigned To => egal
2012-04-24 23:59 Uli60 Note Added: 0002964
2012-06-24 06:03 INOPIAE Relationship added related to 0000904
2012-08-07 23:08 Uli60 Note Added: 0003125
2012-08-07 23:09 Uli60 Note Added: 0003126
2012-08-07 23:09 Uli60 Assigned To egal => NEOatNHNG
2012-08-07 23:09 Uli60 Status needs review => ready to deploy
2012-08-09 16:52 NEOatNHNG Note Added: 0003131
2012-08-10 11:14 wytze Note Added: 0003134
2012-08-10 11:14 wytze Status ready to deploy => solved?
2012-08-10 11:14 wytze Resolution open => fixed
2012-08-10 12:00 NEOatNHNG Source_changeset_attached => cacert-devel release 9980ce2f
2012-08-21 21:39 NEOatNHNG Status solved? => closed
2013-01-15 18:12 Werner Dworak Fixed in Version => 2012 Q3